Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## info.bioinfweb.treegraph.document.clipboard
Enum ClipboardContentType

    java.lang.Object
      java.lang.Enum<ClipboardContentType>
          info.bioinfweb.treegraph.document.clipboard.ClipboardContentType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ClipboardContentType>

    public enum ClipboardContentType

extends java.lang.Enum<ClipboardContentType>

Enum Constant Summary
`EMPTY`
`LABEL`
`LABELS`
`LEGEND`
`SUBTREE`

Method Summary
`static ClipboardContentType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ClipboardContentType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EMPTY

    public static final ClipboardContentType EMPTY

### SUBTREE

    public static final ClipboardContentType SUBTREE

### LABELS

    public static final ClipboardContentType LABELS

### LABEL

    public static final ClipboardContentType LABEL

### LEGEND

    public static final ClipboardContentType LEGEND

Method Detail

### values

    public static ClipboardContentType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ClipboardContentType c : ClipboardContentType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ClipboardContentType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD